Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBastien Montagne <montagne29@wanadoo.fr>2014-07-25 14:52:40 +0400
committerBastien Montagne <montagne29@wanadoo.fr>2014-07-25 14:54:55 +0400
commitd0f0d8220523858eddfd30f186327d716761e5b5 (patch)
tree73160d372ea5040d0351766d7168b6347d723d43 /build_files
parent8bda8ec006dbc2d8976b2d7d77b383c66e4f334f (diff)
Install_deps: Force to always compile OCIO for now.
This is a much simpler fix to that libyaml-cpp mess, since doing it that way we get our static own libyaml-cpp... And this should work for all platforms (realized libymal-cpp-ver option was only implemented for deb-like distro, since it was the first place where issue showed up :/ ).
Diffstat (limited to 'build_files')
-rwxr-xr-xbuild_files/build_environment/install_deps.sh52
1 files changed, 23 insertions, 29 deletions
diff --git a/build_files/build_environment/install_deps.sh b/build_files/build_environment/install_deps.sh
index 49c8302a25c..ce00372ff2c 100755
--- a/build_files/build_environment/install_deps.sh
+++ b/build_files/build_environment/install_deps.sh
@@ -176,11 +176,7 @@ ARGUMENTS_INFO="\"COMMAND LINE ARGUMENTS:
--required-numpy
Use this in case your distro features a valid python package, but no matching Numpy one.
- It will force compilation of both python and numpy
-
- --libyaml-cpp-ver=<ver>
- Ubuntu hack: you may have to force installation of a non-defaut version of libyaml-cpp
- (e.g. ocio in trusty uses 0.3, while default version is 0.5... *sigh*)\""
+ It will force compilation of both python and numpy\""
##### Main Vars #####
@@ -202,12 +198,10 @@ BOOST_VERSION_MIN="1.49"
BOOST_FORCE_REBUILD=false
BOOST_SKIP=false
-OCIO_VERSION="1.0.7"
+OCIO_VERSION="1.0.9"
OCIO_VERSION_MIN="1.0"
OCIO_FORCE_REBUILD=false
OCIO_SKIP=false
-LIBYAML_CPP_VER_DEFINED=false
-LIBYAML_CPP_VER="0.0"
OPENEXR_VERSION="2.1.0"
OPENEXR_VERSION_MIN="2.0.1"
@@ -453,9 +447,6 @@ while true; do
--required-numpy)
NUMPY_REQUIRED=true; shift; continue
;;
- --libyaml-cpp-ver)
- LIBYAML_CPP_VER_DEFINED=true; LIBYAML_CPP_VER="$2"; shift; shift; continue
- ;;
--)
# no more arguments to parse
break
@@ -1992,13 +1983,14 @@ install_DEB() {
if $OCIO_SKIP; then
WARNING "Skipping OpenColorIO installation, as requested..."
else
- check_package_version_ge_DEB libopencolorio-dev $OCIO_VERSION_MIN
- if [ $? -eq 0 ]; then
- install_packages_DEB libopencolorio-dev
- clean_OCIO
- else
+ # XXX Always force build of own OCIO, until linux distro guys update their package to default libyaml-cpp ver (0.5)!
+ #check_package_version_ge_DEB libopencolorio-dev $OCIO_VERSION_MIN
+ #if [ $? -eq 0 ]; then
+ #install_packages_DEB libopencolorio-dev
+ #clean_OCIO
+ #else
compile_OCIO
- fi
+ #fi
fi
PRINT ""
@@ -2426,13 +2418,14 @@ install_RPM() {
if $OCIO_SKIP; then
WARNING "Skipping OpenColorIO installation, as requested..."
else
- check_package_version_ge_RPM OpenColorIO-devel $OCIO_VERSION_MIN
- if [ $? -eq 0 ]; then
- install_packages_RPM OpenColorIO-devel
- clean_OCIO
- else
+ # XXX Always force build of own OCIO, until linux distro guys update their package to default libyaml-cpp ver (0.5)!
+ #check_package_version_ge_RPM OpenColorIO-devel $OCIO_VERSION_MIN
+ #if [ $? -eq 0 ]; then
+ #install_packages_RPM OpenColorIO-devel
+ #clean_OCIO
+ #else
compile_OCIO
- fi
+ #fi
fi
PRINT ""
@@ -2735,14 +2728,15 @@ install_ARCH() {
if $OCIO_SKIP; then
WARNING "Skipping OpenColorIO installation, as requested..."
else
- check_package_version_ge_ARCH opencolorio $OCIO_VERSION_MIN
- if [ $? -eq 0 ]; then
- install_packages_ARCH opencolorio yaml-cpp tinyxml
- clean_OCIO
- else
+ # XXX Always force build of own OCIO, until linux distro guys update their package to default libyaml-cpp ver (0.5)!
+ #check_package_version_ge_ARCH opencolorio $OCIO_VERSION_MIN
+ #if [ $? -eq 0 ]; then
+ #install_packages_ARCH opencolorio yaml-cpp tinyxml
+ #clean_OCIO
+ #else
install_packages_ARCH yaml-cpp tinyxml
compile_OCIO
- fi
+ #fi
fi
PRINT ""